<?php
/**
Package: Simply Works Core
Title: Simply Works Core
Copyright: Copyright (c) Simply Works Consulting, Inc.
Company: Simply Works Consulting, Inc.
Created: 09/09/10
Author: Jason Huber
Version: 1.2
Description: Functions 
 */

require_once(TEMPLATEPATH . '/dashboard.php'); 


// Set the content width based on the theme's design and stylesheet.
if (!isset($content_width))$content_width = 675;

/*  New in version 3.0  */
add_theme_support(' automatic-feed-links ');

/* New starting version 2.9 */
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 200, 200, true ); // 50 pixels wide by 50 pixels tall, hard crop mode
add_image_size( 'single-post-thumbnail', 400, 9999 ); // Permalink thumbnail size

/* Top menu bars */
function register_my_menus() {
	register_nav_menus(
		array(
			'primary-menu' => __( 'Primary Menu' ),
			'secondary-menu' => __( 'Secondary Menu' )
		)
	);
}
add_action( 'init', 'register_my_menus' );


//  Sidebar Widgets
if ( function_exists('register_sidebar') ) {	    
 
    // Side Blocks  //
  	register_sidebar(array('name'=>'Sidebar Top', 'before_widget'=>'<li id="topblock" class="widget">','after_widget' => '</li>','before_title' => '<h3>','after_title' => '</h3>',)); 
	register_sidebar(array('name'=>'Sidebar Bottom Left','before_title'=>'<h4>','after_title'=>'</h4>'));
	register_sidebar(array('name'=>'Sidebar Bottom Right','before_title'=>'<h4>','after_title'=>'</h4>'));
	
	//  Footer Blocks //
	register_sidebar(array('name'=>'Footer Left','before_title'=>'<h3>','after_title'=>'</h3>'));
	register_sidebar(array('name'=>'Footer Center','before_title'=>'<h3>','after_title'=>'</h3>'));
	register_sidebar(array('name'=>'Footer Right','before_title'=>'<h3>','after_title'=>'</h3>'));
}


//  Most comment function is used in the footer of this theme //
function list_most_commented() {
  global $wpdb;
  $posts = $wpdb->get_results("SELECT comment_count,ID,post_title,post_status FROM $wpdb->posts ORDER BY comment_count DESC LIMIT 0 , 6");
  foreach ($posts as $post) {
    $postid = $post->ID;
	$title = $post->post_title;
	$commentcount = $post->comment_count;
	$poststatus = $post->post_status;
	if (($commentcount) && ($poststatus = 'publish')) { ?>
      <li><a href="<?php echo get_permalink($postid); ?>" title="<?php echo $title ?>"><?php echo $title ?></a></li> 	
      <?php }
  }
}


/// Limit  Chacters
function the_content_limit($max_char, $more_link_text = '(more...)', $stripteaser = 0, $more_file = '') {
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = apply_filters('the_content', $content);
    $content = str_replace(']]>', ']]&gt;', $content);
    $content = strip_tags($content);

   if (strlen($_GET['p']) > 0) {
      echo "<p>";
      echo $content;
      echo "&nbsp;<a href='";
      the_permalink();
      echo "'>".__("Read More", 'simplyworks')." &rarr;</a>";
      echo "</p>";
   } else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
        echo "<p>";
        echo $content;
        echo "...";
        echo "&nbsp;<a href='";
        the_permalink();
        echo "'>".$more_link_text."</a>";
        echo "</p>";
   } else {
      echo "<p>";
      echo $content;
      echo "&nbsp;<a href='";
      the_permalink();
      echo "'>".__("Read More", 'simplyworks')." &rarr;</a>";
      echo "</p>";
   }
}
