<?php
/**
Package: Simply Works Core
Title: Simply Works Core
Copyright: Copyright (c) Simply Works Consulting, Inc.
Company: Simply Works Consulting, Inc.
Created: 09/09/10
Author: Jason Huber
Version: 1.2
Description: Search Results page
 */

get_header(); ?>
<div id="contentarea">
	<?php if (have_posts()) : ?>

		<h2 class="pagetitle">Search Results</h2>

		<?php while (have_posts()) : the_post(); ?>

			<div class="searchresult">
				<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
				<small><?php the_time('l, F jS, Y') ?></small>

		<p class="postmetadata"><?php the_tags('Tags: ', ', ', ' | '); ?> Posted in <?php the_category(', ') ?></p>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h2 class="center">No posts found. Try a different search?</h2>
		<?php get_search_form(); ?>

	<?php endif; ?>

</div>
<!-- end content -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>
